<template>
  <el-form :model="form" label-width="120px" class="page">
    <el-form-item label="name">
      <el-input v-model="form.name" />
    </el-form-item>
    <el-form-item label="appId">
      <el-input v-model="form.appId" />
    </el-form-item>
    <el-form-item label="appKey">
      <el-input v-model="form.appKey" />
    </el-form-item>
    <el-form-item label="signKey">
      <el-input v-model="form.signKey" />
    </el-form-item>
  </el-form>
</template>
<script lang="ts" setup>
import { reactive } from 'vue'
import { secretKeyApi } from '@/apis/secretKey.js'
const form = ref({
  name: '',
  appId: '',
  appKey: '',
  signKey: ''
})
function getSecretKey() {
  secretKeyApi().then(res => {
    form.value = res.data
  })
}
onMounted(() => {
  getSecretKey();
});
</script>
<style lang="scss" scoped>
  .page{
    height: calc(100vh - 80px);
    background-color: #ffffff;
    border-radius: 30px 0 0 0;
    overflow: hidden;
    padding: 10vh;
  }
</style>